#include <iostream>

using namespace std;

int main()
{
    int m, x, y, i;
    cin>>m;
    for(i=0;i<m;i++)
        cin>>x>>y;
    for(i=0;i<m;i++)
        cout<<0<<endl;
    return 0;
}
/* ?
N
i
=
1
|
x
i
-
x
A
|
·
|
y
i
-
y
A
|*/